set nocompatible
set showmatch
set ignorecase
set hlsearch
set incsearch
set tabstop=2
set softtabstop=2
set expandtab
set shiftwidth=2
set autoindent
set number
set wildmode=longest,list
set cc=100
filetype plugin indent on
syntax on
set mouse=a
set clipboard=unnamedplus
filetype plugin on
set cursorline
set ttyfast


call plug#begin()
" Plugin section
    Plug 'simrat39/rust-tools.nvim'
    Plug 'dracula/vim'
    Plug 'ryanoasis/vim-devicons'
    Plug 'scrooloose/nerdtree'
    Plug 'mhinz/vim-startify'
call plug#end()

colorscheme dracula
